Alerting
AlertingAvailable Alerts
Get Alert Types
ModelsExpand Collapse
AlertingDestinations
AlertingDestinationsEligible
Get delivery mechanism eligibility
ModelsExpand Collapse
EligibleGetResponse = map[array of object { eligible, ready, type } ]
AlertingDestinationsPagerduty
List PagerDuty services
Create PagerDuty integration token
Delete PagerDuty Services
Connect PagerDuty
ModelsExpand Collapse
AlertingDestinationsWebhooks
List webhooks
Get a webhook
Create a webhook
Update a webhook
Delete a webhook
ModelsExpand Collapse
Webhooks object { id, created_at, last_failure, 5 more }
Timestamp of the last time an attempt to dispatch a notification to this webhook failed.
Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.
The name of the webhook destination. This will be included in the request body when you receive a webhook notification.
Optional secret that will be passed in the cf-webhook-auth header when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body.
AlertingHistory
List History
AlertingPolicies
List Notification policies
Get a Notification policy
Create a Notification policy
Update a Notification policy
Delete a Notification policy
ModelsExpand Collapse
Policy object { id, alert_interval, alert_type, 7 more }
Optional specification of how often to re-alert from the same incident, not support on all alert types.
alert_type: optional "abuse_report_alert" or "access_custom_certificate_expiration_type" or "advanced_ddos_attack_l4_alert" or 88 moreRefers to which event will trigger a Notification dispatch. You can use the endpoint to get available alert types which then will give you a list of possible values. This enum lists every alert type, not the ones a given account can create, since some types depend on entitlements or account type. To get the alert types an account can create, call GET /accounts/{account_id}/alerting/v3/available_alerts.
Refers to which event will trigger a Notification dispatch. You can use the endpoint to get available alert types which then will give you a list of possible values. This enum lists every alert type, not the ones a given account can create, since some types depend on entitlements or account type. To get the alert types an account can create, call GET /accounts/{account_id}/alerting/v3/available_alerts.
Optional filters that allow you to be alerted only on a subset of events for that alert type based on some criteria. This is only available for select alert types. See alert type documentation for more details.
PolicyFilter object { actions, affected_asns, affected_components, 44 more } Optional filters that allow you to be alerted only on a subset of events for that alert type based on some criteria. This is only available for select alert types. See alert type documentation for more details.
Optional filters that allow you to be alerted only on a subset of events for that alert type based on some criteria. This is only available for select alert types. See alert type documentation for more details.
Used for configuring magic_endpoint_healthcheck_alert. Takes one or more health check IDs, each a UUID. That alert type requires check_id together with alert_trigger_preferences set to slo, a numeric alert_trigger_preferences_value, and selectors set to failures.
incident_impact: optional array of "INCIDENT_IMPACT_NONE" or "INCIDENT_IMPACT_MINOR" or "INCIDENT_IMPACT_MAJOR" or "INCIDENT_IMPACT_CRITICAL"Used for configuring incident_alert
Used for configuring incident_alert
Used for configuring stakeout_saved_query_daily_digest_alert and stakeout_saved_query_immediate_alert, which require it. Takes exactly one value, the saved query ID.
Access service token IDs to include for expiring_service_token_alert. Omit this property to include all current and future service tokens.